{% extends 'base.html.twig' %}

{% block title %}Manage Users{% endblock %}

{% block body %}
    <h1>Manage Users</h1>
    <p>
        <a class="btn btn-primary" href="{{ path('user_new') }}">
            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Create new
        </a>
    </p>

    <table class="table table-striped">
        <tr>
            <th>ID</th>
            <th>E-mail</th>
            <th>Full Name</th>
            <th>Date Created</th>
            <th>Actions</th>
        </tr>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.firstName }} {{ user.lastName }}</td>
                <td>{{ user.dateCreated ? user.dateCreated|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a class="btn btn-secondary" href="{{ path('user_show', {'id': user.id}) }}">
                        <span class="glyphicon glyphicon-pencil" ></span> Show
                    </a>
                    <a class="btn btn-info" href="{{ path('user_edit', {'id': user.id}) }}">
                        <span class="glyphicon glyphicon-pencil"></span> Edit
                    </a>
                    <a class="btn btn-danger" href="{{ path('user_delete', {'id': user.id}) }}">
                        <span class="glyphicon glyphicon-remove"></span> Delete
                    </a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
